|
|||||||||
| Home >> All >> com >> RuntimeCollective >> webapps >> [ tag overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
com.RuntimeCollective.webapps.tag
Class DefineTag

java.lang.Objectjavax.servlet.jsp.tagext.TagSupport
com.RuntimeCollective.webapps.tag.DefineTag
- All Implemented Interfaces:
- javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag
- Direct Known Subclasses:
- EntityBeanDefineTag
- public class DefineTag
- extends javax.servlet.jsp.tagext.TagSupport
Define a scripting variable based on the value(s) of the specified bean property.
This tag takes the following parameters:
id- the name of the scripting variable that will be populated with the value.param- the name of the request parameter that contains the value.type- the type of the bean to be defined.toScope- the scope in which to define the bean (default: page scope).name- the name of the variable to search for.property- the property of the named variable that contains the value.scope- the scope to search for the value in.value- the value to define the bean as.
In addition to the usual page, request and session values,
scope and toScope can be action, which refers to the
request's ActionContext, if present.
- Version:
- $Id: DefineTag.java,v 1.7 2003/09/30 15:13:18 joe Exp $
| Field Summary | |
private java.lang.String |
id
|
private java.lang.String |
name
|
private java.lang.String |
param
|
private java.lang.String |
property
|
private java.lang.String |
scope
|
private java.lang.String |
toScope
|
private java.lang.String |
type
|
private java.lang.Object |
value
|
| Fields inherited from class javax.servlet.jsp.tagext.TagSupport |
pageContext |
| Fields inherited from interface javax.servlet.jsp.tagext.IterationTag |
EVAL_BODY_AGAIN |
| Fields inherited from interface javax.servlet.jsp.tagext.Tag |
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE |
| Constructor Summary | |
DefineTag()
|
|
| Method Summary | |
int |
doStartTag()
Retrieve the required property and expose it as a scripting variable. |
java.lang.String |
getId()
get the id. |
java.lang.String |
getName()
get the name. |
java.lang.String |
getParam()
get the param. |
java.lang.String |
getProperty()
get the property. |
java.lang.String |
getScope()
get the scope. |
java.lang.String |
getToScope()
get the toScope. |
java.lang.String |
getType()
get the type. |
java.lang.Object |
getValue()
get the value. |
private void |
init()
|
protected void |
lookupValue()
Lookup the value. |
void |
release()
Release all allocated resources. |
void |
setId(java.lang.String id)
set the id. |
void |
setName(java.lang.String name)
set the name. |
void |
setParam(java.lang.String param)
set the param. |
void |
setProperty(java.lang.String property)
set the property. |
void |
setScope(java.lang.String scope)
set the scope. |
void |
setToScope(java.lang.String toScope)
set the toScope. |
void |
setType(java.lang.String type)
set the type. |
void |
setValue(java.lang.Object value)
set the value. |
| Methods inherited from class javax.servlet.jsp.tagext.TagSupport |
doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
id
private java.lang.String id
param
private java.lang.String param
type
private java.lang.String type
toScope
private java.lang.String toScope
name
private java.lang.String name
property
private java.lang.String property
scope
private java.lang.String scope
value
private java.lang.Object value
| Constructor Detail |
DefineTag
public DefineTag()
| Method Detail |
getId
public java.lang.String getId()
- get the id.
setId
public void setId(java.lang.String id)
- set the id.
getParam
public java.lang.String getParam()
- get the param.
setParam
public void setParam(java.lang.String param)
- set the param.
getType
public java.lang.String getType()
- get the type.
setType
public void setType(java.lang.String type)
- set the type.
getToScope
public java.lang.String getToScope()
- get the toScope.
setToScope
public void setToScope(java.lang.String toScope)
- set the toScope.
getName
public java.lang.String getName()
- get the name.
setName
public void setName(java.lang.String name)
- set the name.
getProperty
public java.lang.String getProperty()
- get the property.
setProperty
public void setProperty(java.lang.String property)
- set the property.
getScope
public java.lang.String getScope()
- get the scope.
setScope
public void setScope(java.lang.String scope)
- set the scope.
getValue
public java.lang.Object getValue()
- get the value.
setValue
public void setValue(java.lang.Object value)
- set the value.
doStartTag
public int doStartTag()
throws javax.servlet.jsp.JspException
- Retrieve the required property and expose it as a scripting variable.
release
public void release()
- Release all allocated resources.
lookupValue
protected void lookupValue()
throws javax.servlet.jsp.JspException
- Lookup the value.
init
private void init()
|
|||||||||
| Home >> All >> com >> RuntimeCollective >> webapps >> [ tag overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC